Extending Qt Creator Manual | SimpleLexer

Extending Qt Creator Manual 4.5.2

# SimpleLexer Class

(CPlusPlus::SimpleLexer)

- List of all members, including inherited members

## Public Functions

| SimpleLexer()
| ~SimpleLexer()
bool | endedJoined() const
LanguageFeatures | languageFeatures() const
void | setLanguageFeatures(LanguageFeatures features)
void | setPreprocessorMode(bool ppMode)
void | setSkipComments(bool skipComments)
bool | skipComments() const
int | state() const
Tokens | operator()(const QString &text, int state = 0)

## Static Public Members

int | tokenAt(const Tokens &tokens, unsigned utf16charsOffset)
Token | tokenAt(const QString &text, unsigned utf16charsOffset, int state, const LanguageFeatures &languageFeatures)
int | tokenBefore(const Tokens &tokens, unsigned utf16charsOffset)

## Member Function Documentation

### SimpleLexer::SimpleLexer()

Default constructs an instance of SimpleLexer.

### SimpleLexer::~SimpleLexer()

Destroys the instance of SimpleLexer.

### bool SimpleLexer::endedJoined() const

### LanguageFeatures SimpleLexer::languageFeatures() const

See also setLanguageFeatures().

### void SimpleLexer::setLanguageFeatures(LanguageFeatures features)

See also languageFeatures().

### void SimpleLexer::setPreprocessorMode(bool ppMode)

### void SimpleLexer::setSkipComments(bool skipComments)

See also skipComments().

### bool SimpleLexer::skipComments() const

See also setSkipComments().

### int SimpleLexer::state() const

### `[static]` int SimpleLexer::tokenAt(const Tokens &tokens, unsigned utf16charsOffset)

### `[static]` Token SimpleLexer::tokenAt(const QString &text, unsigned utf16charsOffset, int state, const LanguageFeatures &languageFeatures)

### `[static]` int SimpleLexer::tokenBefore(const Tokens &tokens, unsigned utf16charsOffset)

### Tokens SimpleLexer::operator()(const QString &text, int state = 0)